Name:		nfsroot
Version:	3.23
Release:	1.1
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Summary:	Diskless Boot Support
Group:		Applications/System
Url:		http://code.google.com/p/nfsroot/
Requires:	syslinux
Requires:	memtest86+
Requires:	dracut-network
Requires:	rsync, nfs-utils, gzip, cpio, tar, kexec-tools, kernel

Requires(post):	syslinux

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%define bootdir /boot

%description
Diskless boot support.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make


%install
make install DESTDIR=%{buildroot}
%if 0%{?suse_version}
mkdir -p %{buildroot}/var/adm/fillup-templates
mv %{buildroot}/etc/sysconfig/nfsroot %{buildroot}/var/adm/fillup-templates/sysconfig.nfsroot
%endif

%clean
rm -rf %{buildroot}

%post
%if 0%{?suse_version}
%fillup_and_insserv
%endif
PATH=/sbin:/usr/sbin:$PATH
rm -f %{bootdir}/pxelinux.0 %{bootdir}/memdisk
install -m 644 %{_datadir}/syslinux/pxelinux.0 %{bootdir}/
install -m 644 %{_datadir}/syslinux/memdisk    %{bootdir}/
mkdir -p -m 755 /writeable
%{_sbindir}/nfsroot-rebuild
if ! [ -e %{_sysconfdir}/fstab ]; then
   install -m 644 %{_datadir}/nfsroot/initial-fstab %{_sysconfdir}/fstab
fi

%files
%defattr(-,root,root)
%doc NEWS
%doc ChangeLog
%if 0%{?suse_version}
/var/adm/fillup-templates/sysconfig.nfsroot
%else
%config(noreplace) %{_sysconfdir}/sysconfig/nfsroot
%endif
%config(noreplace) %{bootdir}/pxelinux.cfg
%config(noreplace) %{bootdir}/pxelinux.msg
%{bootdir}/freedos.img
%dir %{_sysconfdir}/dracut.conf.d
%dir %{_sysconfdir}/kernel
%dir %{_sysconfdir}/kernel/postinst.d
%dir %{_sysconfdir}/kernel/prerm.d
%dir %{_datadir}/dracut
%dir %{_datadir}/dracut/modules.d
%{_sysconfdir}/rc.nfsroot*
%{_sbindir}/*
%{_mandir}/man8/*
%{_sysconfdir}/dracut.conf.d/*
%{_datadir}/dracut/modules.d/*
%{_sysconfdir}/kernel/postinst.d/*
%{_sysconfdir}/kernel/prerm.d/*
%{_datadir}/nfsroot

%changelog
* Sun Mar 17 2013 cs@linux-administrator.com
- update to 3.23 from git
* Tue Oct 30 2012 cs@linux-administrator.com
- update to 3.20 from git
* Tue Oct 30 2012 cs@linux-administrator.com
- initial package
